com.verisign.epp.codec.syncext

## Class EPPSyncExtFactory

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPExtFactory
  - - com.verisign.epp.codec.syncext.EPPSyncExtFactory

-     public class EPPSyncExtFactory
      extends EPPExtFactory

  The EPPCodec Extension Factory that needs to be configured to encode/decode Sync extensions. The Sync URI is: http://www.verisign.com/epp/sync-1.0

  Title: EPP 1.0 RGP

  Description: SYNC Extension to the EPP SDK

  Copyright: Copyright (c) 2004

  Company: VeriSign

  Version:
    1.0
  Author:
    clloyd

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NS` Namespace URI associated with EPPSyncExtFactory.
    `static java.lang.String` | `NS_PREFIX` Namespace prefix associated with EPPSyncExtFactory.
    `static java.lang.String` | `NS_SCHEMA` EPP Sync XML Schema.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPSyncExtFactory()` Create a new instance of EPPsyncExtFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPPCodecComponent` | `createExtension(org.w3c.dom.Element aExtensionElm)` Creates the concrete Sync ext instance when decoding XML that contains a Sync Extension.
    `EPPProtocolExtension` | `createProtocolExtension(org.w3c.dom.Element aExtensionElm)` Overridden but doesn't do anything in the context of Sync.
    `EPPService` | `getService()` Returns the EPPService instance associated with this ExtFactory.
    `java.util.Set` | `getXmlSchemas()` Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final java.lang.String NS

      Namespace URI associated with EPPSyncExtFactory.
      See Also:
        Constant Field Values

    - #### NS_PREFIX

          public static final java.lang.String NS_PREFIX

      Namespace prefix associated with EPPSyncExtFactory.
      See Also:
        Constant Field Values

    - #### NS_SCHEMA

          public static final java.lang.String NS_SCHEMA

      EPP Sync XML Schema.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPSyncExtFactory

          public EPPSyncExtFactory()

      Create a new instance of EPPsyncExtFactory

  - ### Method Detail

    - #### createProtocolExtension

          public EPPProtocolExtension createProtocolExtension(org.w3c.dom.Element aExtensionElm)
                                                       throws EPPCodecException

      Overridden but doesn't do anything in the context of Sync. Throws an EPPCodecException if called
      Specified by:
        `createProtocolExtension` in class `EPPExtFactory`
      Parameters:
        `aExtensionElm` - Element to create protocol extension from
      Returns:
        Return protocol extension if applicable
      Throws:
        `EPPCodecException` - When protocol extension is not supported

    - #### createExtension

          public EPPCodecComponent createExtension(org.w3c.dom.Element aExtensionElm)
                                            throws EPPCodecException

      Creates the concrete Sync ext instance when decoding XML that contains a Sync Extension. This is only EPPSyncExtUpdate as of 02/13/04
      Specified by:
        `createExtension` in class `EPPExtFactory`
      Parameters:
        `aExtensionElm` - The DOM element that is a parent to the Sync XML fragment
      Returns:
        A concrete EPPCodecComponet that knows how to decode itself from the rest of the DOM document.
      Throws:
        `EPPCodecException` - Thrown if an unrecognized sync element is found below the passed in extension element

    - #### getService

          public EPPService getService()

      Returns the EPPService instance associated with this ExtFactory. The EPPService instance contains the XML Namespace and XML Schema location
      Specified by:
        `getService` in class `EPPExtFactory`
      Returns:
        the EPPService instance associated with this ExtFactory

    - #### getXmlSchemas

          public java.util.Set getXmlSchemas()

      Gets the list of XML schemas that need to be pre-loaded into the XML Parser.
      Overrides:
        `getXmlSchemas` in class `EPPExtFactory`
      Returns:
        `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
      See Also:
        `EPPMapFactory.getXmlSchemas()`

Copyright © VeriSign Inc. All Rights Reserved.